package org.sky.core.log.wrapper;


import org.sky.core.log.model.LogError;
import org.sky.core.log.pojo.vo.LogErrorVO;
import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;

import java.util.Objects;

/**
 * Log包装类,返回视图层所需的字段
 *
 */
public class LogErrorWrapper extends BaseEntityWrapper<LogError, LogErrorVO> {

	public static LogErrorWrapper build() {
		return new LogErrorWrapper();
	}

	@Override
	public LogErrorVO entityVO(LogError logError) {
		return Objects.requireNonNull(BeanUtil.copyProperties(logError, LogErrorVO.class));
	}
}
